%global collection_namespace ktdreyer
%global collection_name koji_ansible

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        0.0.450
# https://github.com/ktdreyer/koji-ansible/issues/199
%global commit c198647fdca08cd42b8cf9a6c0e4339f97fa1267
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Release:        1%{?dist}
Summary:        Ansible modules to manage Koji resources

License:        GPL-3.0-or-later
URL:            %{ansible_collection_url}
Source:         https://github.com/ktdreyer/koji-ansible/archive/%{commit}/%{name}-%{version}.tar.gz

BuildRequires:  ansible-packaging

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n koji-ansible-%{commit}
cat >> galaxy.yml << EOF
build_ignore:
  - .copr
  - .github
  - .gitignore
  - .mergify.yml
  - .stickler.yml
  - build-collection
  - codecov.yml
  - tests/integration
  - tox.ini
EOF
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
mkdir plugins/
mv library/ plugins/modules
mv module_utils/ plugins/module_utils/
sed -i \
  -e  's/from ansible.module_utils import common_koji/from ansible_collections.ktdreyer.koji_ansible.plugins.module_utils import common_koji/' \
  plugins/modules/*.py
sed -i -e "s/{{ version }}/%{version}/" galaxy.yml

%build
%ansible_collection_build

%install
%ansible_collection_install

%files -f %{ansible_collection_filelist}
%license COPYING
%doc README.rst

%changelog
* Sun Mar 12 2023 Igor Raits <igor@gooddata.com> - 0.0.450-1
- Update to 0.0.450

* Thu Jan 07 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.0.389-1
- Initial package
